<?php

namespace Marius\RealEstate1.0;

use DB;
use Illuminate\Database\Seeder;

class PropetyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('propeties')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'real_estate1.0.propety.view',
                'name'      => 'View Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.create',
                'name'      => 'Create Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.edit',
                'name'      => 'Update Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.delete',
                'name'      => 'Delete Propety',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'real_estate1.0.propety.verify',
                'name'      => 'Verify Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.approve',
                'name'      => 'Approve Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.publish',
                'name'      => 'Publish Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.unpublish',
                'name'      => 'Unpublish Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.cancel',
                'name'      => 'Cancel Propety',
            ],
            [
                'slug'      => 'real_estate1.0.propety.archive',
                'name'      => 'Archive Propety',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/real_estate1.0/propety',
                'name'        => 'Propety',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/real_estate1.0/propety',
                'name'        => 'Propety',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'propety',
                'name'        => 'Propety',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'RealEstate1.0',
                'module'    => 'Propety',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'real_estate1.0.propety.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
