            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('propety_name')
                       -> label(trans('real_estate1.0::propety.label.propety_name'))
                       -> required()
                       -> placeholder(trans('real_estate1.0::propety.placeholder.propety_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('propety_price')
                       -> label(trans('real_estate1.0::propety.label.propety_price'))
                       -> required()
                       -> placeholder(trans('real_estate1.0::propety.placeholder.propety_price'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('propety_location')
                       -> label(trans('real_estate1.0::propety.label.propety_location'))
                       -> placeholder(trans('real_estate1.0::propety.placeholder.propety_location'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('propety_description')
                    -> label(trans('real_estate1.0::propety.label.propety_description'))
                    -> placeholder(trans('real_estate1.0::propety.placeholder.propety_description'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('real_estate1.0::propety.label.images') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $propety->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($propety->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $propety->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('condition')
                    -> fromQuery(\Marius\RealEstate1.0\Models\Propety::all(), 'name', 'id')
                    -> label(trans('real_estate1.0::propety.label.condition'))
                    -> placeholder(trans('real_estate1.0::propety.placeholder.condition'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('amenities')
                    -> fromQuery(\Marius\RealEstate1.0\Models\Propety::all(), 'name', 'id')
                    -> label(trans('real_estate1.0::propety.label.amenities'))
                    -> placeholder(trans('real_estate1.0::propety.placeholder.amenities'))!!}
                </div>
            </div>