<?php

namespace Marius\RealEstate1.0;

use User;

class RealEstate1.0
{
    /**
     * $propety object.
     */
    protected $propety;

    /**
     * Constructor.
     */
    public function __construct(\Marius\RealEstate1.0\Interfaces\PropetyRepositoryInterface $propety)
    {
        $this->propety = $propety;
    }

    /**
     * Returns count of real_estate1.0.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.propety.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->propety->pushCriteria(new \Litepie\Marius\Repositories\Criteria\PropetyUserCriteria());
        }

        $propety = $this->propety->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('real_estate1.0::' . $view, compact('propety'))->render();
    }
}
