<?php

namespace Marius\RealEstate1.0\Repositories\Eloquent;

use Marius\RealEstate1.0\Interfaces\PropetyRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PropetyRepository extends BaseRepository implements PropetyRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('marius.real_estate1.0.propety.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('marius.real_estate1.0.propety.model.model');
    }
}
