<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePropetiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: propeties
         */
        Schema::create('propeties', function ($table) {
            $table->increments('id');
            $table->string('propety_name', 255)->nullable();
            $table->string('propety_price', 255)->nullable();
            $table->string('propety_location', 255)->nullable();
            $table->text('propety_description')->nullable();
            $table->json('images')->nullable();
            $table->json('condition')->nullable();
            $table->json('amenities')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('propeties');
    }
}
