Lavalite package that provides real_estate1.0 management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `marius/real_estate1.0`.

    "marius/real_estate1.0": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Marius\RealEstate1.0\Providers\RealEstate1.0ServiceProvider::class,

And also add it to alias

    'RealEstate1.0'  => Marius\RealEstate1.0\Facades\RealEstate1.0::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Marius\\RealEstate1.0TableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Marius\RealEstate1.0\Providers\RealEstate1.0ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Marius\RealEstate1.0\Providers\RealEstate1.0ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Marius\RealEstate1.0\Providers\RealEstate1.0ServiceProvider" --tag="view"


## Usage


